summaryrefslogtreecommitdiffstats
path: root/retiolum/scripts/adv_graphgen/all_the_graphs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'retiolum/scripts/adv_graphgen/all_the_graphs.sh')
-rwxr-xr-xretiolum/scripts/adv_graphgen/all_the_graphs.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/retiolum/scripts/adv_graphgen/all_the_graphs.sh b/retiolum/scripts/adv_graphgen/all_the_graphs.sh
index 36b37f03..2a41df38 100755
--- a/retiolum/scripts/adv_graphgen/all_the_graphs.sh
+++ b/retiolum/scripts/adv_graphgen/all_the_graphs.sh
@@ -1,5 +1,13 @@
-#!/bin/sh
+#!/bin/bash
echo "`date` begin all graphs" >> /tmp/build_graph
cd $(dirname $(readlink -f $0))
+PATH=$PATH:../../../util/bin/
+begin=`timer`
(./anonytize.sh /srv/http/pub/graphs/retiolum/ && echo "`date` anonytize done" >> /tmp/build_graph)&
(./sanitize.sh /srv/http/priv/graphs/retiolum/ && echo "`date` sanitize done" >> /tmp/build_graph)&
+for job in `jobs -p`
+do
+ echo $job
+ wait $job || echo "$job failed!"
+done
+statsc "graphs.buildtime:$(timer $begin)|ms"